Name:           ocaml-uunf
Version:        0.9.2
Release:        %mkrel 2
Summary:        Unicode text normalization for OCaml
License:        BSD3
Group:          Development/OCaml
URL:            http://erratique.ch/software/uunf
Source0:        http://erratique.ch/software/uunf/releases/uunf-%{version}.tbz
BuildRequires:  ocaml-findlib
BuildRequires:  ocaml-uutf-devel
Requires:       ocaml-uutf

%description
Uunf is an OCaml module for normalizing Unicode text. It supports all
Unicode normalization forms [1] and is independent from any IO
mechanism or Unicode text data structure. Text can be processed
without a complete in-memory representation.
 
[1]: http://www.unicode.org/reports/tr15/

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-uutf-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n uunf-%{version}

%build
pushd src/
 ocamlc -c -annot -bin-annot uunf.mli
 ocamlc -c -annot -bin-annot -I +xmlm uunf.ml
 ocamlopt -c -annot -bin-annot -I +xmlm uunf.ml
 ocamlc -g -a -o uunf.cma uunf.cmo
 ocamlopt -g -a -o uunf.cmxa uunf.cmx
 ocamlopt -g -shared -linkall -o uunf.cmxs uunf.cmxa
popd
pushd test/
 ocamlopt -c -I +uutf -I ../src unftrip.ml
 ocamlopt -o unftrip -I +uutf uutf.cmxa -I ../src uunf.cmxa unftrip.cmx
 rm -f *.o *.cm[ix]
popd

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/uunf
pushd src/
 ocamlfind install uunf ../pkg/META \
   *.a *.cm[iatx] *.cmti *.cmx[as] *.annot *.mli
popd
pushd test/
 install -d %{buildroot}%{_bindir}/
 install -m 0755 unftrip %{buildroot}%{_bindir}/
 rm -f unftrip
popd

%files
%doc README.md CHANGES.md DEVEL.md
%dir %{_libdir}/ocaml/uunf
%{_libdir}/ocaml/uunf/META
%{_libdir}/ocaml/uunf/*.cmi
%{_libdir}/ocaml/uunf/*.cma
%{_libdir}/ocaml/uunf/*.cmxs
%{_bindir}/unftrip

%files devel
%doc doc/
%doc test/
%{_libdir}/ocaml/uunf/*.a
%{_libdir}/ocaml/uunf/*.cmxa
%{_libdir}/ocaml/uunf/*.cmx
%{_libdir}/ocaml/uunf/*.mli
%{_libdir}/ocaml/uunf/*.cmt
%{_libdir}/ocaml/uunf/*.cmti
%{_libdir}/ocaml/uunf/*.annot


%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0.9.2-2.mga4
+ Revision: 538632
- Mageia 4 Mass Rebuild

* Tue Oct 01 2013 blue_prawn <blue_prawn> 0.9.2-1.mga4
+ Revision: 490100
- updated to last version 0.9.2
- updated to last version 0.9.2

* Fri Sep 27 2013 blue_prawn <blue_prawn> 0.9.1-3.mga4
+ Revision: 487887
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 0.9.1-2.mga3
+ Revision: 361686
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 0.9.1-1.mga3
+ Revision: 341175
- new version 0.9.1

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.9.0-3.mga3
+ Revision: 301687
- new rpm group for ocaml

* Fri Sep 28 2012 blue_prawn <blue_prawn> 0.9.0-2.mga3
+ Revision: 299150
- new rpm group for ocaml

* Sun Sep 09 2012 blue_prawn <blue_prawn> 0.9.0-1.mga3
+ Revision: 291449
- build requires uutf
- imported package ocaml-uunf

